import { _decorator, Component, Node, Event} from 'cc';
import BaseUI from '../../scripts/base/BaseUI';
import { Tips } from '../../scripts/mgr/Tips';
import UserM from '../../scripts/api/UserM';
const { ccclass, property } = _decorator;

@ccclass('WalletPageESTOG')
export class WalletPageESTOG extends BaseUI  {
    

    public onShow(): void {
        this.init();
    }
   async init() {
    this.setText("lbl_balance_estog",UserM.ins.getEsTogDisplay())
    }
    
    protected onBtnClick(name: string, event: Event, customEventData: any): void {
        switch(name){
            case "btn_history":

                Tips.show("WalletPageESTOG History Coming Soon")
                break;
           
        }
    }
}

